#
# spec file for package emacs-python-mode
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           emacs-python-mode
Version:        6.2.0
Release:        1.5
Summary:        Python mode for emacs
License:        GPL-3.0+
Group:          Productivity/Text/Editors
URL:            https://launchpad.net/python-mode
Source0:        https://launchpad.net/python-mode/trunk/6.2.0/+download/python-mode.el-6.2.0.tar.gz
Patch1:         compile.patch
BuildRequires:  emacs-nox
BuildRequires:  makeinfo
Requires:       emacs
BuildArch:      noarch
      
%define _sitedir %{_datadir}/emacs/site-lisp
%define _lispdir %{_sitedir}/python-mode

%description 
An Emacs mode for editing Python code

%prep
%setup -n python-mode.el-6.2.0
%patch -p1 -P 1

%build
sh byte-compile-directory.sh

%install
install -pm 755 -d %{buildroot}%{_lispdir}
install -pm 644 *.el %{buildroot}%{_lispdir}/
install -pm 644 *.elc %{buildroot}%{_lispdir}/
install -pm 755 -d %{buildroot}%{_lispdir}/extensions
install -pm 644 extensions/*.el %{buildroot}%{_lispdir}/extensions/
install -pm 644 extensions/*.elc %{buildroot}%{_lispdir}/extensions/

%files 
%doc README NEWS LICENSE
%{_lispdir}/
%{_lispdir}/extensions/

%changelog
* Mon Mar 13 2017 bosim@opensuse.org
- Added patch (compile.patch) for byte code compiling.
- Updated specfile.
* Sat Apr 11 2015 bo@geekworld.dk
- Initial version.
